<template lang="pug">
div
  // proxy selection
  .pt-3.px-1
    button.btn.w-100.btn-outline-secondary.btn-lg.dropdown-toggle(type='button' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false' @click='selectDns()') {{ serverName }}
      span.sr-only Toggle Dropdown
    .dropdown-menu
      .dropdown-item.clickable(v-for='area in $options.areaMap' @click='selectDns(area.dns)') {{area.name}}
  // daq list
  .pt-3.px-1
    .list-group(role='tablist')
      .daq.list-group-item.list-group-item-action.clickable(
        v-for='daqUrl in daqList' @click='selectDaq(daqUrl)' data-toggle='list', role='tab'
        :class="{ active: daqUrl === daq }") {{ getDaqName(daqUrl) }}
</template>

<script>

export { default } from './SidebarContent.vue.js';

</script>
<style>
.x-sidebar button.dropdown-toggle {
  min-width: 290px;
  max-width: 290px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.x-sidebar .dropdown-menu {
  width: 97%;
}
</style>
